import request from '@/utils/request'
/*
* author:changliang
* date:2020.7.24
* */
// 发文件提交
export function  submitApply(query) {
  return request({
    url: '/fw/submitapply',
    method: 'post',
    params: query
  })
}
// 发文待办列表
export function  listInfo(query) {
  return request({
    url: '/fw/toDoFwList',
    method: 'get',
    params: query
  })
}// 待办列表
export function  toDoItemListInfo(query) {
  return request({
    url: '/fw/toDoAllList',
    method: 'get',
    params: query
  })
}

//已办工作列表
export function  havedInfo(query) {
  return request({
    // url: '/fw/doneFwList',
    url: '/fw/doneAllList',
    method: 'get',
    params: query
  })
}
//提交待办
export function  submitToDoItem(processInstanceId) {
  return request({
    url: '/fw/submitToDoItem/'+processInstanceId,
    method: 'get',
  })
}
//结束待办
export function  deleteToDoItem(processInstanceId) {
  return request({
    url: '/fw/deleteToDoItem/'+processInstanceId,
    method: 'get',
  })
}
//获取详情数据
export function  getFormData(key) {
  return request({
    url: '/fw/getFormData?formkey='+key,
    method: 'get',
  })
}
